Detalhes do Pedido de Estorno
curl --request GET \
--url https://garu.com.br/api/v1/refund-requests/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://garu.com.br/api/v1/refund-requests/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://garu.com.br/api/v1/refund-requests/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Pedidos de Estorno
Detalhes do Pedido de Estorno
Um pedido de estorno
GET
/
api
/
v1
/
refund-requests
/
{uuid}
Detalhes do Pedido de Estorno
Exemplo
curl https://garu.com.br/api/v1/refund-requests/a1b2c3d4-0000-4000-8000-000000000001 \
-H "Authorization: Bearer sk_live_sua_chave"
const pedido = await garu.refundRequests.get(uuid);
Resposta
{
"uuid": "a1b2c3d4-0000-4000-8000-000000000001",
"status": "pending",
"amount": 390,
"reason": "Comprador desistiu",
"installmentPlanId": "e5d0d8fe-0000-4000-8000-000000000001",
"chargeId": null,
"requestedBy": { "type": "user", "id": 3 },
"resolvedBy": null,
"sellerNote": null,
"resolvedAt": null,
"createdAt": "2026-09-01T09:00:00.000Z"
}
Exatamente um entre
installmentPlanId e chargeId vem preenchido, conforme o pedido seja de um carnê ou de uma cobrança avulsa.Was this page helpful?
⌘I